Fix the missing UEFI packages
Closed, ResolvedPublic

Description

Artful was unfortunately released without packages for UEFI, resulting in a failure upon installation. So ideally it needs fixed before the LTS.

  • Create a fix for Bionic
  • Document the issue in the release notes of Artful
  • Point release of Artful… or something?
wxl created this task.Nov 27 2017, 12:57 AM
wxl created this object in space S1 Public.
wxl added a comment.Nov 27 2017, 1:00 AM

I thought @tsimonq2 created a fix for this (by adding share to the seed) and I could have sworn it was tested on real hardware, but I just downloaded the current iso and it failed.

tsimonq2 changed the visibility from "All Users" to "Public (No Login Required)".Nov 27 2017, 4:28 PM
tsimonq2 changed the edit policy from "All Users" to "Administrators".
tsimonq2 updated the task description. (Show Details)Nov 27 2017, 4:46 PM
tsimonq2 renamed this task from fix the missing UEFI packages to Fix the missing UEFI packages.
tsimonq2 updated the task description. (Show Details)
tsimonq2 raised the priority of this task from High to Unbreak Now!.Nov 27 2017, 4:49 PM

So I thought this was done for Bionic already, and I have to do some testing myself, but Schyken on Telegram (bridged to #lubuntu-devel) says he tested on real hardware.

Either way, I had a discussion with Adam Conrad on #ubuntu-release and he said that he needed Real Verification that things worked in Bionic. I have to talk more with him on that, once I verify that @wxl's setup is broken. 😉

tsimonq2 moved this task from New to In Progress on the Release Management board.Nov 27 2017, 4:50 PM
wxl added a comment.EditedNov 27 2017, 5:02 PM

@tsimonq2 FWIW I did a UEFI boot in VirtualBox and so it naturally tried to install the UEFI packages and got that same darn error installing GRUB. 64 bit desktop, too.

tsimonq2 reassigned this task from tsimonq2 to wxl.Nov 27 2017, 8:21 PM
tsimonq2 added a subscriber: tsimonq2.

Weird @wxl, because it doesn't work now for me either.

Can you please ping someone about this when you ping about T3? Because that ubuntu-cdimage change I made should have worked, and if it didn't (looking at the manifest that seems to be the case), I'm seriously wondering what's going on here.

If it comes to it I guess we can just explicitly define the packages in both seeds, but that's a bit unmaintainable (not to mention it duplicates code) so I'd like to avoid it.

wxl added a comment.Nov 28 2017, 11:47 AM

Pinged infinity.

wxl added a comment.EditedDec 8 2017, 4:31 PM

Sorry about the delay. I have now confirmed the following installs as of today:

✓ UEFI boot succeeds with networking in bionic and artful
✓ UEFI boot succeeds without networking in bionic
✗ UEFI boot fails without networking in artful
✓ UEFI boot succeeds without networking in artful alternate

So whatever weird thing we saw before is now resolved. That said, I think we can be assured that this is resolved for bionic (though I will mentioned I did not check i386 but I think UEFI boot is i386 is not really much of a thing).

Regarding the release notes, at this point the one bug appears to be when there is no networking. It seems the only solution is to add networking unless we have a point release. I guess I could figure out the full list of .debs that would need to also be downloaded in order to fix this, but that doesn't seem like it would be a great solution. Thoughts?

Have you discussed with the Release Team any further about a point release?

tsimonq2 moved this task from In Progress to New on the Release Management board.Jan 25 2018, 8:25 PM

So we've had the point release. Could you please retest these to make sure that things are good to go on this front?

(when you start working on it, no need to comment, just move it back to In Progress, I think that's what I'll start to do on other tickets as well 😄 )

wxl closed this task as Resolved.May 11 2018, 3:54 PM